%define desktop_vendor fedora

Summary: Graphical frontend for APT package manager.
Name: synaptic
Version: 0.57.2
Release: 20%{?dist}

License: GPLv2+
Group: Applications/System
Source0: http://savannah.nongnu.org/download/synaptic/synaptic-%{version}.tar.gz
Patch0: synaptic-0.57-desktop.patch
Patch1: synaptic-0.57-firefox.patch
# Patches from apt-rpm maintainer for gcc 4.1 support, repomd support
# and progress meter fixes
Patch2: http://apt-rpm.org/patches/synaptic-0.57.2-gcc41.patch
Patch3: http://apt-rpm.org/patches/synaptic-0.57.2-repomd-1.patch
Patch4: http://apt-rpm.org/patches/synaptic-0.57.2-showprog.patch
Patch5: http://apt-rpm.org/patches/synaptic-0.57.2-progressapi-hack.patch
Patch6: synaptic-0.57.2-gcc43.patch
Patch7: synaptic-0.57.2-nss-hack.patch
URL: http://www.nongnu.org/synaptic/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: usermode-gtk
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
BuildRequires: apt-devel >= 0.5.15lorg3.92, rpm-devel >= 4.0
BuildRequires: gtk2-devel, libglade2-devel, desktop-file-utils
BuildRequires: libstdc++-devel, gettext
BuildRequires: xmlto, perl-XML-Parser
BuildRequires: scrollkeeper

%description
Synaptic is a graphical package management
program for apt. It provides the same features as the apt-get command line
utility with a GUI front-end based on Gtk+

%prep
%setup -q
%patch0 -p1 -b .dt
%patch1 -p1 -b .firefox
%patch2 -p1 -b .gcc41
%patch3 -p1 -b .repomd
%patch4 -p1 -b .showprog
%patch5 -p1 -b .progresshack
%patch6 -p1 -b .gcc43
%patch7 -p1 -b .nss-hack

%build
%configure --disable-dependency-tracking
make %{?_smp_mflags}

%install
rm -fr $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

mkdir -p $RPM_BUILD_ROOT%{_bindir}
ln -s consolehelper $RPM_BUILD_ROOT%{_bindir}/synaptic

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps
cat << EOF > $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/synaptic
USER=root
PROGRAM=%{_sbindir}/synaptic
SESSION=true
FALLBACK=false
EOF

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
cat << EOF > $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/synaptic
#%PAM-1.0
auth       sufficient   /%{_lib}/security/pam_rootok.so
auth       sufficient   /%{_lib}/security/pam_timestamp.so
auth       include      system-auth
session    required     /%{_lib}/security/pam_permit.so
session    optional     /%{_lib}/security/pam_xauth.so
session    optional     /%{_lib}/security/pam_timestamp.so
account    required     /%{_lib}/security/pam_permit.so
EOF
if [ -f /%{_lib}/security/pam_stack.so ] && \
   ! grep -q "Deprecated pam_stack module" /%{_lib}/security/pam_stack.so; then
  perl -pi -e's,include(\s*)(.*),required\1pam_stack.so service=\2,' $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/synaptic
fi

# Remove the default menu entries and install our own
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/*
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/X11/sysconfig/synaptic.desktop

desktop-file-install --vendor fedora 		\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --mode=0644					\
  --remove-key MultipleArgs			\
  --remove-category Application			\
  data/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update -q ||:

%postun
scrollkeeper-update -q ||:

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README TODO
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}
%{_bindir}/%{name}
%{_sbindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/gnome/help/%{name}
%{_datadir}/omf/%{name}
%{_mandir}/man8/%{name}.8*

%changelog
* Fri Mar 06 2009 Panu Matilainen <pmatilai@redhat.com> - 0.57.2-20
- rebuild for rpm 4.7.0

* Sat Feb 28 2009 Panu Matilainen <pmatilai@redhat.com> - 0.57.2-19
- shutdown rpm crypto after fork to force proper reinitialization (#449168)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.57.2-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Aug 01 2008 Alex Lancaster <alexlan[AT] fedoraproject org> - 0.57.2-17
- Rebuild for new RPM 4.6 (fixes broken deps).

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.57.2-16
- Autorebuild for GCC 4.3

* Fri Jan 04 2008 Panu Matilainen <pmatilai@redhat.com> - 0.57.2-15
- fix build with gcc 4.3 (explicit includes for cstring and friends)
- fix bunch of const-correctness issues causing gcc complaints

* Mon Nov 26 2007 Panu Matilainen <pmatilai@redhat.com> - 0.57.2-14
- remove unnecessary extra desktop categories (#283921)
- rebuild (#389371)

* Tue Aug 28 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.57.2-13
- Rebuild for selinux ppc32 issue.

* Fri Aug 03 2007 Panu Matilainen <pmatilai@redhat.com> 
- License clarification

* Tue Jul 10 2007 Panu Matilainen <pmatilai@redhat.com> - 0.57.2-12
- fix desktop categories
- fix pam_stack autodetection 

* Sun Jul 08 2007 Panu Matilainen <pmatilai@redhat.com> - 0.57.2-11
- add an ugly kludge to make it work with new apt-rpm progress api
- update buildreq apt version for the above

* Sun Jun  3 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.57.2-10
- Autodetect pam_stack module at build time.

* Thu May 25 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Enable 64-bit builds again (#193075 by Deji Akingunola).

* Sat May 20 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.57.2-4
- Add repomd support, gcc 4.1 build support, progress meter fixes (all
  from apt-rpm upstream).

* Wed Dec 14 2005 Deji Akingunola <dakingun@gmail.com> - 0.57.2-3
- Rebuild for new openssl and apt in devel.

* Wed Aug 17 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.57.2-2
- Rebuild for new libcairo in devel.

* Tue Jul 12 2005 Panu Matilainen <pmatilai@laiskiainen.org> 0.57.2-1
- remove explicit yelp dependency, add support for browsing help with 
  firefox (#163036)
- configure with --disable-dependency-tracking

* Thu Jul 07 2005 Panu Matilainen <pmatilai@laiskiainen.org> 
- update to 0.57.2
- remove kde-desktop file
- correct path in desktop file

* Wed Jun 29 2005 Panu Matilainen <pmatilai@laiskiainen.org> 0.57-1
- update to 0.57

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Fri Mar  4 2005 Ville Skyttä <ville.skytta at iki.fi>
- Split context marked dependency syntax to work around #118773.

* Sat Jan 29 2005 Warren Togami <wtogami@redhat.com> 0.55.3-2
- ExcludeArch: x86_64 ppc64

* Tue Nov 09 2004 Panu Matilainen <pmatilai@welho.com> 0.55.3-1
- update to 0.55.3

* Tue Nov 02 2004 Panu Matilainen <pmatilai@welho.com> 0.55-0.fdr.1
- update to 0.55

* Sun Oct 03 2004 Panu Matilainen <pmatilai@welho.com> 0.53.4-0.fdr.1
- update to 0.53.4

* Mon Aug 16 2004 Panu Matilainen <pmatilai@welho.com> 0.53-0.fdr.1
- update to 0.53 final

* Thu Aug 12 2004 Panu Matilainen <pmatilai@welho.com> 0.53-0.fdr.0.pre3.1
- update to 0.53pre3

* Tue Jul 06 2004 Panu Matilainen <pmatilai@welho.com> 0.52-0.fdr.1
- update to 0.52

* Wed Jun 23 2004 Panu Matilainen <pmatilai@welho.com> 0.51-0.fdr.1
- update to 0.51
- require yelp

* Thu Jun 17 2004 Panu Matilainen <pmatilai@welho.com> 0.50-0.fdr.2
- duh, forgot to change -pre in Source..

* Thu Jun 17 2004 Panu Matilainen <pmatilai@welho.com> 0.50-0.fdr.1
- update to 0.50

* Tue Apr 13 2004 Panu Matilainen <pmatilai@welho.com> 0.48.2-0.fdr.1
- update to 0.48.2

* Thu Mar 18 2004 Panu Matilainen <pmatilai@welho.com> 0.48.1-0.fdr.3
- sigh.. really fix the source url

* Tue Mar 16 2004 Panu Matilainen <pmatilai@welho.com> 0.48.1-0.fdr.2
- fix QA issues in #1377
  * fix incorrect source url
  * drop docbook-utils buildreq, add xmlto and perl-XML-parser
  * use _lib macro in pam file generation

* Sat Mar 13 2004 Panu Matilainen <pmatilai@welho.com> 0.48.1-0.fdr.1
- update to 0.48.1

* Fri Dec 19 2003 Panu Matilainen <pmatilai@welho.com> 0.47-0.fdr.3
- doh, missing buildreq on scrollkeeper

* Thu Dec 04 2003 Panu Matilainen <pmatilai@welho.com> 0.47-0.fdr.2
- erm.. oops, the previous one was actually a 0.47pre, not the real thing
- drop the bogus patch

* Wed Dec 03 2003 Panu Matilainen <pmatilai@welho.com> 0.47-0.fdr.1
- update to 0.47

* Wed Nov 12 2003 Panu Matilainen <pmatilai@welho.com> 0.46-0.fdr.1
- update to 0.46
- run scrolkeeper-update in post/postun
- add builddep on docbook-utils

* Sun Nov 02 2003 Panu Matilainen <pmatilai@welho.com> 0.45-1
- buildroot -> RPM_BUILD_ROOT
- use upstream desktop
- evict version detection
- explicit mode in desktop-file-install

* Thu Oct 23 2003 Panu Matilainen <pmatilai@welho.com> 0.45-0.fdr.1
- update to 0.45
- support FC release naming

* Thu Sep 25 2003 Panu Matilainen <pmatilai@welho.com> 0.44-0.fdr.1
- update to 0.44

* Sun Aug 19 2003 Panu Matilainen <pmatilai@welho.com> 0.43.1-0.fdr.1
- update to 0.43.1 (Michael's been busy lately :)
- drop ChangeLog, NEWS has the interesting stuff

* Wed Aug 13 2003 Panu Matilainen <pmatilai@welho.com> 0.42-0.fdr.1
- update to 0.42

* Fri Aug 08 2003 Panu Matilainen <pmatilai@welho.com> 0.40-0.fdr.2
- drop X-Red-Hat-Extra from desktop entry
- remove unnecessary versioned dependency on gtk2-devel

* Sat Aug 02 2003 Panu Matilainen <pmatilai@welho.com> 0.40-0.fdr.1
- address issues in #313 / 13

* Wed Jul 30 2003 Panu Matilainen <pmatilai@welho.com>
- update to 0.40
- drop gtk requirement from 2.2 to 2.0

* Mon Jul 07 2003 Panu Matilainen <pmatilai@welho.com> 0.39-0.fdr.1
- update to 0.39

* Wed Jul 02 2003 Panu Matilainen <pmatilai@welho.com> 0.38-0.fdr.1
- update to 0.38
- automatically pick up rh version
- drop patches (merged upstream)

* Tue May 27 2003 Panu Matilainen <pmatilai@welho.com>
- patch to make it build with GTK 2.0

* Sat May 24 2003 Panu Matilainen <pmatilai@welho.com> 0.36.1-0.fdr.3
- oops, had broken version of sources.list.d patch included earlier...

* Fri May 16 2003 Panu Matilainen <pmatilai@welho.com> 0.36.1-0.fdr.2
- missing buildrequires: gettext

* Thu Apr 24 2003 Panu Matilainen <pmatilai@welho.com>
- add sources.list.d support

* Tue Apr 22 2003 Panu Matilainen <pmatilai@welho.com> 0.36.1-0.fdr.1
- update to 0.36.1

* Wed Apr 16 2003 Panu Matilainen <pmatilai@welho.com> 0.36-0.fdr.1
- update to 0.36
- require gtk >= 2.2 to build

* Mon Apr 14 2003 Panu Matilainen <pmatilai@welho.com> 0.35.1-0.fdr.2
- rebuild against newer apt

* Mon Mar 31 2003 Panu Matilainen <pmatilai@welho.com> 0.35.1-0.fdr.1
- update to 0.35.1 (apt-rpm bugfix release)

* Mon Mar 31 2003 Panu Matilainen <pmatilai@welho.com> 0.35-0.fdr.1
- update to 0.35
- add patch0 to allow building against apt-0.5.5cnc4.1
- add epoch 0

* Tue Mar 25 2003 Panu Matilainen <pmatilai@welho.com>
- initial Fedora packaging
- reset changelog
